Debian Bug report logs - #535226
ifupdown: no possiblity to configure an autoconf-only IPv6 interface

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Michael Stapelberg <michael+db20090501@stapelberg.de>

Date: Tue, 30 Jun 2009 21:48:01 UTC

Severity: normal

Tags: ipv6

Found in version ifupdown/0.6.8+nmu1

Fixed in version ifupdown/0.7~rc1+experimental

Done: bugzilla@tut.by (Andrew O. Shadura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#535226; Package ifupdown. (Tue, 30 Jun 2009 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. (Tue, 30 Jun 2009 21:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ifupdown: no possiblity to configure an autoconf-only IPv6 interface
Date: Tue, 30 Jun 2009 23:33:50 +0200
Package: ifupdown
Version: 0.6.8+nmu1
Severity: normal

The only options for IPv6 configurations are loopback, static, manual and
v4tunnel. However, one may want to use an interface only for IPv6 with
autoconf. This is very simple, as you just have to put the interface up.
Therefore, the workaround looks like this:

interface eth0 inet6 manual
	post-up ifconfig eth0 up
	post-down ifconfig eth0 down

Please implement an option like 'interface eth0 inet6 autoconf'.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29.1-midna-2 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ifupdown depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  lsb-base                      3.2-22     Linux Standard Base 3.2 init scrip
ii  net-tools                     1.60-23    The NET-3 networking toolkit

ifupdown recommends no packages.

Versions of packages ifupdown suggests:
ii  dhcp3-client                  3.1.1-6    DHCP client
ii  iproute                       20090324-1 networking and traffic control too
pn  ppp                           <none>     (no description available)

-- no debconf information




Added tag(s) ipv6. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 01 Aug 2009 11:18:02 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:23 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:29 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:27 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#535226; Package ifupdown. (Wed, 21 Mar 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Humfrey <njh@aelius.com>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Wed, 21 Mar 2012 09:45:23 GMT) Full text and rfc822 format available.

Message #20 received at 535226@bugs.debian.org (full text, mbox):

From: Nicholas Humfrey <njh@aelius.com>
To: "535226@bugs.debian.org" <535226@bugs.debian.org>
Subject: Progress?
Date: Wed, 21 Mar 2012 09:36:37 +0000
Hello,

Any progress with this? Should be super-simple.

I have some v6 only hosts and would love a neater configuration.

What submitting a patch help?

nick.




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#535226; Package ifupdown. (Wed, 21 Mar 2012 13:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Wed, 21 Mar 2012 13:27:09 GMT) Full text and rfc822 format available.

Message #25 received at 535226@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Nicholas Humfrey <njh@aelius.com>, 535226@bugs.debian.org
Subject: Re: Bug#535226: Progress?
Date: Wed, 21 Mar 2012 14:24:23 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Wed, 21 Mar 2012 09:36:37 +0000
Nicholas Humfrey <njh@aelius.com> wrote:

> Any progress with this? Should be super-simple.
> I have some v6 only hosts and would love a neater configuration.
> What submitting a patch help?

Actually, already available in experimental:

   The auto Method
       This method may be used to define interfaces with automatically
   assigned IPv6 addresses. Using this method on its  own  doesn't
   mean  that  RDNSS options  will  be applied, too. To make this
   happen, rdnssd daemon must be installed, properly configured and
   running. If stateless DHCPv6 support is turned on, then additional
   network configuration parameters such as DNS and NTP servers will be
   retrieved from a DHCP server.


-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Reply sent to bugzilla@tut.by (Andrew O. Shadura):
You have taken responsibility. (Wed, 18 Apr 2012 21:36:21 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Bug acknowledged by developer. (Wed, 18 Apr 2012 21:36:21 GMT) Full text and rfc822 format available.

Message #30 received at 535226-close@bugs.debian.org (full text, mbox):

From: bugzilla@tut.by (Andrew O. Shadura)
To: 535226-close@bugs.debian.org
Subject: Bug#535226: fixed in ifupdown 0.7~rc1+experimental
Date: Wed, 18 Apr 2012 21:33:23 +0000
Source: ifupdown
Source-Version: 0.7~rc1+experimental

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive:

ifupdown_0.7~rc1+experimental.dsc
  to main/i/ifupdown/ifupdown_0.7~rc1+experimental.dsc
ifupdown_0.7~rc1+experimental.tar.gz
  to main/i/ifupdown/ifupdown_0.7~rc1+experimental.tar.gz
ifupdown_0.7~rc1+experimental_amd64.deb
  to main/i/ifupdown/ifupdown_0.7~rc1+experimental_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew O. Shadura <bugzilla@tut.by> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 17 Apr 2012 01:05:42 +0200
Source: ifupdown
Binary: ifupdown
Architecture: source amd64
Version: 0.7~rc1+experimental
Distribution: experimental
Urgency: low
Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Changed-By: Andrew O. Shadura <bugzilla@tut.by>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 338348 420784 422885 535226 568479 656270 657743 661243 666084
Changes: 
 ifupdown (0.7~rc1+experimental) experimental; urgency=low
 .
   * Prefer isc-dhcp-client to dhcp3-client (also closes: #422885).
   * Let dhclient fail when no lease can be acquired (Closes: #420784).
   * Raise command-line options priority over /etc/network/interfaces
     (Closes: #657743).
   * Prevent aliases and VLANs from putting the main interface down
     (Closes: #656270).
   * Make iproute2 calculate the broadcast address (LP: #924880).
   * Shut udhcpc down correctly (Closes: #338348).
   * Update the rules according to /run migration.
   * Pass hardening flags from dpkg-buildflags (Closes: #661243).
   * Implement ifquery interface (Closes: #568479).
     - Make ifquery process mappings (LP: #850166).
     - Ensure ifquery always has no_act turned on.
   * Change --all behaviour:
     - If ifup or ifquery is called with the --all option, if doesn't just
       bring up all interfaces marked as "auto", but all interfaces of a
       specified class, "auto" by default. For the most uses, this doesn't
       change anything, but lets all the interfaces of a specific class to be
       brought up or queried.
   * Support cross-compilation, move Debian-specific things out of
     the Makefile (Closes: #666084).
   * Take networking init script over from netbase package.
     - Add reload action which reconfigures all interfaces currently
       configured.
     - Add LSB Description field.
     - Remove /usr from PATH.
     - Merge ifupdown initscript in.
     - Improve warning messages.
     - Don't use redirection hacks when parsing /proc/mounts and /proc/swap.
     - Document all supported subcommands.
     - On start, try to configure hotplug interfaces if they seem to be ready.
       Ignore errors if they fail to configure for some reason (for example,
       if the interface happens to be renamed by udev before it's fully
       configured).
     - Override Lintian's false positives.
   * Remove /etc/default/ifupdown.
   * Call hook scripts when processing all interfaces:
     - If ifupdown is called with the --all option, before or after doing
       anything to the interfaces, it calls all the hook scripts (pre-up or
       down) with IFACE set to "--all", LOGICAL set to the current class
       specified by the --allow option (or "auto" if it's not set),
       ADDRFAM="meta" and METHOD="none".
   * Fix IPv6 issue on kFreeBSD.
   * Update test suite.
   * Improve manual pages.
   * Bump Standards-Version to 3.9.3.
   * Also closes: #535226:
     - In 0.7~alpha5, "auto" method has been added.
Checksums-Sha1: 
 53c963698aee581490dd20403c4a7182d638adb0 1640 ifupdown_0.7~rc1+experimental.dsc
 c0cb41d522fc513ef6c29ec9c514fdd8c7790f39 95128 ifupdown_0.7~rc1+experimental.tar.gz
 162d230d3c31f6f044929160c5bb575632f3695f 57068 ifupdown_0.7~rc1+experimental_amd64.deb
Checksums-Sha256: 
 33ca16462b1bd5366d413cd92525e76f444f808be6c9e4a1a22bc7107cd8ab54 1640 ifupdown_0.7~rc1+experimental.dsc
 3bfec53b523c4edfcc8884a1a2643754739ea406e441034af8ecfe09eee72d97 95128 ifupdown_0.7~rc1+experimental.tar.gz
 5f4968208e2cfd11056a0fe1d036b7054f303c379315e1a1d4896f982f978de3 57068 ifupdown_0.7~rc1+experimental_amd64.deb
Files: 
 501f15d60e3f1b11cd7fac9cc69193e5 1640 admin important ifupdown_0.7~rc1+experimental.dsc
 ec0465c96ef0c6ec758f4c71ddc9c947 95128 admin important ifupdown_0.7~rc1+experimental.tar.gz
 691c1a3540cf2d7d328616a0c3601250 57068 admin important ifupdown_0.7~rc1+experimental_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPjyuIAAoJEOJSSsUKn1xZ3boQAKg+ySoBpniNPlkeCyyywvq+
QSUZ7zTQqKD850c708ANvmqSesk2rrEiDWc0UOTOx4kCThqTwVvOVzu1sDS59FkK
w3INEI4PTDzdvTZDfaja3XOoWxj2oMKFRDMJo5Wh78ovDfv+z1M/rJKa9A8phyxO
3f+Ow+VX3Bhkftj+7VX3DVEm85JqJr0Bkr4qSQcfP4gtaB0lfK1pvYpgI6OTZvcD
1z9lP7Q1HLWtWh1uV3AXp3IzO1BXT29LVybTEnycIAK5+HJb+hU5ey+rjCFTEKtL
wlJ7sEG2bhqr65o/zSLji1ukYUzWws/bX2WfkSUNhbZi4znjhCekQ24a5FNTFR1w
plBC4nS7bAuP7jdsGY/M/hqAtRXvlZs+VShzU2uuiEnibNqSmJMSoHp/2i5Ho6qM
sFpaGUUIM/L71/WqO/JR8OBSTfTFz/h58UjvplPbTJS6DMM+TzHyVsk8r0iBiMRf
q00quCihIV0y/C9vAUMFQnlRfUke3rfG+q/oQmFp0Cjam/tatllVr4taoycPGgHp
/NQMhPTmGF3nIVIkpyq+BQkLmo6eaX+dw76v+uIyQ4t1HYcapRzsgfMx3GayLhuu
vlpGGSnX16PlVNUZHsaSc2/4xtsSzSY2c0ljF6KBXkxOddDeRMFP4WwYPPX4nvrn
UwQxFhDjHN2Bq4RxuB4R
=yq1J
-----END PGP SIGNATURE-----





Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:38:48 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:38:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:13:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.